curl --request POST \
--url https://control-plane.kubiya.ai/api/v1/teams \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"runtime": "default",
"configuration": {
"member_ids": [
"<string>"
],
"instructions": "",
"reasoning": {
"enabled": false,
"model": "<string>",
"agent_id": "<string>",
"min_steps": 1,
"max_steps": 10
},
"llm": {
"model": "<string>",
"temperature": 1,
"max_tokens": 2,
"top_p": 0.5,
"top_k": 1,
"stop": [
"<string>"
],
"frequency_penalty": 0,
"presence_penalty": 0
},
"tools": [
{}
],
"knowledge_base": {},
"session": {
"user_id": "<string>",
"session_id": "<string>",
"auto_save": true,
"persist": true
},
"dependencies": {},
"markdown": true,
"add_datetime_to_instructions": false,
"structured_outputs": false,
"response_model": "<string>",
"debug_mode": false,
"monitoring": false,
"metadata": {}
},
"skill_ids": [
"<string>"
],
"skill_configurations": {},
"execution_environment": {
"working_dir": "<string>",
"env_vars": {},
"secrets": [
"<string>"
],
"integration_ids": [
"<string>"
],
"mcp_servers": {}
}
}
'import requests
url = "https://control-plane.kubiya.ai/api/v1/teams"
payload = {
"name": "<string>",
"description": "<string>",
"runtime": "default",
"configuration": {
"member_ids": ["<string>"],
"instructions": "",
"reasoning": {
"enabled": False,
"model": "<string>",
"agent_id": "<string>",
"min_steps": 1,
"max_steps": 10
},
"llm": {
"model": "<string>",
"temperature": 1,
"max_tokens": 2,
"top_p": 0.5,
"top_k": 1,
"stop": ["<string>"],
"frequency_penalty": 0,
"presence_penalty": 0
},
"tools": [{}],
"knowledge_base": {},
"session": {
"user_id": "<string>",
"session_id": "<string>",
"auto_save": True,
"persist": True
},
"dependencies": {},
"markdown": True,
"add_datetime_to_instructions": False,
"structured_outputs": False,
"response_model": "<string>",
"debug_mode": False,
"monitoring": False,
"metadata": {}
},
"skill_ids": ["<string>"],
"skill_configurations": {},
"execution_environment": {
"working_dir": "<string>",
"env_vars": {},
"secrets": ["<string>"],
"integration_ids": ["<string>"],
"mcp_servers": {}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
runtime: 'default',
configuration: {
member_ids: ['<string>'],
instructions: '',
reasoning: {
enabled: false,
model: '<string>',
agent_id: '<string>',
min_steps: 1,
max_steps: 10
},
llm: {
model: '<string>',
temperature: 1,
max_tokens: 2,
top_p: 0.5,
top_k: 1,
stop: ['<string>'],
frequency_penalty: 0,
presence_penalty: 0
},
tools: [{}],
knowledge_base: {},
session: {user_id: '<string>', session_id: '<string>', auto_save: true, persist: true},
dependencies: {},
markdown: true,
add_datetime_to_instructions: false,
structured_outputs: false,
response_model: '<string>',
debug_mode: false,
monitoring: false,
metadata: {}
},
skill_ids: ['<string>'],
skill_configurations: {},
execution_environment: {
working_dir: '<string>',
env_vars: {},
secrets: ['<string>'],
integration_ids: ['<string>'],
mcp_servers: {}
}
})
};
fetch('https://control-plane.kubiya.ai/api/v1/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organization_id": "<string>",
"name": "<string>",
"description": "<string>",
"configuration": {
"member_ids": [
"<string>"
],
"instructions": "",
"reasoning": {
"enabled": false,
"model": "<string>",
"agent_id": "<string>",
"min_steps": 1,
"max_steps": 10
},
"llm": {
"model": "<string>",
"temperature": 1,
"max_tokens": 2,
"top_p": 0.5,
"top_k": 1,
"stop": [
"<string>"
],
"frequency_penalty": 0,
"presence_penalty": 0
},
"tools": [
{}
],
"knowledge_base": {},
"session": {
"user_id": "<string>",
"session_id": "<string>",
"auto_save": true,
"persist": true
},
"dependencies": {},
"markdown": true,
"add_datetime_to_instructions": false,
"structured_outputs": false,
"response_model": "<string>",
"debug_mode": false,
"monitoring": false,
"metadata": {}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"runtime": "default",
"projects": [
{}
],
"skill_ids": [
"<string>"
],
"skills": [
{}
],
"execution_environment": {
"working_dir": "<string>",
"env_vars": {},
"secrets": [
"<string>"
],
"integration_ids": [
"<string>"
],
"mcp_servers": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Create Team
Create a new team with full Agno capabilities.
Supports comprehensive configuration including:
- Member agents
- Instructions and reasoning
- Tools and knowledge bases
- LLM settings
- Session management
Authorizations
Enter your Kubiya API token (format: Bearer )
Body
Create a new team with full Agno capabilities
Team name
1 - 255Team description
Runtime type for team leader: 'default' (Agno) or 'claude_code' (Claude Code SDK). Default: 'default'
Team configuration aligned with Agno Team
Show child attributes
Show child attributes
Tool set IDs to associate with this team
Tool set configurations keyed by skill ID
Show child attributes
Show child attributes
Execution environment: env vars, secrets, integrations
Show child attributes
Show child attributes
Response
Successful Response
Team response with structured configuration
Team status enumeration
active, inactive, archived, idle Comprehensive team configuration aligned with Agno's Team capabilities. This allows full control over team behavior, reasoning, tools, and LLM settings.
Show child attributes
Show child attributes
Runtime type for team leader: 'default' (Agno) or 'claude_code' (Claude Code SDK)
Projects this team belongs to
IDs of associated skills
Associated skills with details
Execution environment configuration for agents/teams
Show child attributes
Show child attributes
Was this page helpful?